public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/python-debian/
Date: Wed, 15 Jun 2022 11:32:48 +0000 (UTC)	[thread overview]
Message-ID: <1655292755.9eec3b5ce76ac7c3d7b50527bc414bed1910ddbe.mgorny@gentoo> (raw)

commit:     9eec3b5ce76ac7c3d7b50527bc414bed1910ddbe
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Jun 15 07:02:57 2022 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Jun 15 11:32:35 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9eec3b5c

dev-python/python-debian: Bump to 0.1.44

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/python-debian/Manifest                  |  1 +
 .../python-debian/python-debian-0.1.44.ebuild      | 48 ++++++++++++++++++++++
 2 files changed, 49 insertions(+)

diff --git a/dev-python/python-debian/Manifest b/dev-python/python-debian/Manifest
index de536ceb6030..be797da053d3 100644
--- a/dev-python/python-debian/Manifest
+++ b/dev-python/python-debian/Manifest
@@ -1 +1,2 @@
 DIST python-debian_0.1.43.tar.xz 175832 BLAKE2B 2b43da25392c844a3c8fa8e159695ef4c871c6620be88d286abde31b9285e3f005e3c20997617d24014fe94a1a3c446c8721f8d92c35018ac308da8703788bcd SHA512 510dd37ef65be2ee0f9c4c4c15010b94fc7c05c621de2cb25fee4f6e741f51dff2e4cdc333313bac8269bfa621533217b3f72ecbd8b0b6368aa52c54e5237bb6
+DIST python-debian_0.1.44.tar.xz 179372 BLAKE2B 39d19c46e956231cda7c1fdb3ca89f8ef579d61e6bff06b35114184b2596516b3a01f756ff8e34e9a0dab669658cce7b8fdbfa39ed770df376acf6c4c6fb1401 SHA512 34c627cf32647f196a4b41a8913fd9aaefcfd6c96d21cc8f9798723ac11dac371574f62af9e549437188f2f492cb80445e33f35c72b6fa8212223029371a7b33

diff --git a/dev-python/python-debian/python-debian-0.1.44.ebuild b/dev-python/python-debian/python-debian-0.1.44.ebuild
new file mode 100644
index 000000000000..3c07375c1483
--- /dev/null
+++ b/dev-python/python-debian/python-debian-0.1.44.ebuild
@@ -0,0 +1,48 @@
+# Copyright 2011-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python modules to work with Debian-related data formats"
+HOMEPAGE="
+	https://salsa.debian.org/python-debian-team/python-debian/
+	https://pypi.org/project/python-debian/
+"
+SRC_URI="mirror://debian/pool/main/${PN::1}/${PN}/${PN}_${PV}.tar.xz"
+
+LICENSE="GPL-2 GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+
+RDEPEND="
+	dev-python/chardet[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+	test? (
+		app-arch/dpkg
+	)
+"
+
+distutils_enable_tests unittest
+
+python_prepare_all() {
+	# See debian/rules.
+	sed -e "s/__CHANGELOG_VERSION__/${PV}/" lib/debian/_version.py.in \
+		> lib/debian/_version.py || die
+	distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+	# See debian/rules.
+	"${EPYTHON}" lib/debian/doc-debtags > README.debtags || die
+}
+
+python_test() {
+	eunittest lib
+}


             reply	other threads:[~2022-06-15 11:32 UTC|newest]

Thread overview: 48+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-06-15 11:32 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-05-18  8:36 [gentoo-commits] repo/gentoo:master commit in: dev-python/python-debian/ Michał Górny
2024-05-18  8:36 Michał Górny
2023-11-24 15:24 Arthur Zamarin
2023-06-01 14:01 Michał Górny
2022-12-31 11:07 Michał Górny
2022-12-31 10:59 Arthur Zamarin
2022-11-29 23:18 James Le Cuirot
2022-11-20  7:45 Michał Górny
2022-11-19  8:47 Arthur Zamarin
2022-11-19  8:46 Arthur Zamarin
2022-10-15  8:04 Michał Górny
2022-10-03  6:42 Michał Górny
2022-10-02 19:42 Arthur Zamarin
2022-08-30  5:45 Michał Górny
2022-07-24 20:24 Michał Górny
2022-02-17 21:53 Michał Górny
2022-02-17 21:34 Arthur Zamarin
2022-01-16 20:53 Michał Górny
2021-11-21 19:28 Jakov Smolić
2021-10-18 20:57 Mike Gilbert
2021-10-18 20:40 Michał Górny
2021-08-01  8:17 Michał Górny
2021-07-31 22:12 Sam James
2021-06-29  6:05 Michał Górny
2021-05-19  7:33 Michał Górny
2021-03-15  6:30 Sam James
2021-02-09  3:30 Mike Gilbert
2021-02-09  3:30 Mike Gilbert
2021-02-08 23:29 James Le Cuirot
2020-10-18 19:17 Sam James
2020-10-18 18:51 Thomas Deutschmann
2020-10-16 12:00 Michał Górny
2020-09-07 20:59 Mike Gilbert
2020-08-14 23:22 Andreas Sturmlechner
2020-03-18 18:26 Michał Górny
2020-03-18 18:26 Michał Górny
2020-03-18 11:04 Agostino Sarubbo
2020-03-18 11:00 Agostino Sarubbo
2018-08-14 13:34 Mike Gilbert
2018-07-25 17:29 Patrice Clement
2018-06-25 23:20 Thomas Deutschmann
2018-06-23 23:29 Mikle Kolyada
2017-11-13 21:34 Mike Gilbert
2016-11-06 15:40 Michael Palimaka
2016-11-06 15:40 Michael Palimaka
2016-08-06 19:07 Mike Gilbert
2015-11-17 23:45 Mike Gilbert

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1655292755.9eec3b5ce76ac7c3d7b50527bc414bed1910ddbe.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox